Loading...
Searching...
No Matches
FlattenNestedRamps.h File Reference

Defines the lowering pass that flattens nested ramps and broadcasts. More...

`#include "IR.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::flatten_nested_ramps (const Stmt &s)
| Take a statement/expression and replace nested ramps and broadcasts.
Expr | Halide::Internal::flatten_nested_ramps (const Expr &e)

## Detailed Description

Defines the lowering pass that flattens nested ramps and broadcasts.

Definition in file FlattenNestedRamps.h.